Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 631260 - media-gfx/hp2xx-3.4.4-r1 : to_tif.c:9:20: fatal error: tiffio.h: No such file or directory
Summary: media-gfx/hp2xx-3.4.4-r1 : to_tif.c:9:20: fatal error: tiffio.h: No such file...
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Printing Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-09-17 19:39 UTC by Toralf Förster
Modified: 2018-04-14 21:28 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,17.69 KB, text/plain)
2017-09-17 19:39 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,388.41 KB, text/plain)
2017-09-17 19:39 UTC, Toralf Förster
Details
environment (environment,81.68 KB, text/plain)
2017-09-17 19:39 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,20.11 KB, application/x-bzip)
2017-09-17 19:39 UTC, Toralf Förster
Details
media-gfx:hp2xx-3.4.4-r1:20170916-192352.log (media-gfx:hp2xx-3.4.4-r1:20170916-192352.log,6.83 KB, text/plain)
2017-09-17 19:39 UTC, Toralf Förster
Details
r3.patch.out (r3.patch.out,7.16 KB, text/plain)
2017-09-19 07:46 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2017-09-17 19:39:20 UTC
rm -f to_tif.o
cc -DUNIX -DHAS_UNIX_X11  -DPNG -DTIF -DJPG -DPIC_PAC -DEPSON -c -O2 -pipe -march=native -Wall -I.             to_tif.c
to_tif.c:9:20: fatal error: tiffio.h: No such file or directory
 #include "tiffio.h"
                    ^
compilation terminated.

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 13.0-systemd_20170903-225953

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-6.4.0 *

Available Python interpreters, in order of preference:
  [1]   python3.4
  [2]   python2.7 (fallback)
  [3]   pypy (fallback)

java-config:
The following VMs are available for generation-2:
*)	IcedTea JDK 3.5.1 [icedtea-bin-8]
Available Java Virtual Machines:
  [1]   icedtea-bin-8  system-vm

emerge -qpv media-gfx/hp2xx
[ebuild  N    ] media-gfx/hp2xx-3.4.4-r1  USE="-X -jpeg -png -tiff"
Comment 1 Toralf Förster gentoo-dev 2017-09-17 19:39:24 UTC
Created attachment 495040 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2017-09-17 19:39:27 UTC
Created attachment 495042 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2017-09-17 19:39:31 UTC
Created attachment 495044 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2017-09-17 19:39:34 UTC
Created attachment 495046 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2017-09-17 19:39:38 UTC
Created attachment 495048 [details]
media-gfx:hp2xx-3.4.4-r1:20170916-192352.log
Comment 6 Konstantin Münning 2017-09-18 22:16:52 UTC
This is the similar to bugs #408307 and #529800 and is fixed in the -r2 and -r3 patches as well. It has the same cause but as it is not identical it probably does not qualify as a duplicate. Unfortunately these fixes are still not in portage so unless this is done you will always encounter failures like this.

As said, I am just a proxy maintainer and can't submit the fix to portage. But Thoralf, you as a Dev, instead of reporting the same bug over and over again please add the provided patch and let us use our time for new things :-).
Comment 7 Toralf Förster gentoo-dev 2017-09-19 07:46:10 UTC
Hi Konstantin,

thx for your help being a proxy maintainer.

Please let ta bug being open till the fix is in portage - otherwise devs may not see such a bug bug in their backlog.

If you want, I can mark bugs ad duplicates of others, if so.

Related to the -r3 patch of bug #529800 :
it gives at this tinderbox chroot image :

 * Failed Patch: r3.patch !
 *  ( /etc/portage/patches//media-gfx/hp2xx/r3.patch )
 * 

Will attach that file it soon here.
Comment 8 Toralf Förster gentoo-dev 2017-09-19 07:46:57 UTC
Created attachment 495388 [details]
r3.patch.out

r3.patch.out
Comment 9 Konstantin Münning 2017-09-19 08:42:09 UTC
(In reply to Toralf Förster from comment #7)

> Related to the -r3 patch of bug #529800 :
> it gives at this tinderbox chroot image :
> 
>  * Failed Patch: r3.patch !
>  *  ( /etc/portage/patches//media-gfx/hp2xx/r3.patch )

according to the output it seems that the patch (-p1) is applied to modified source files. As seen in the posted ebuild in bug #529800, there is only one "combined" patch. If you are applying first the patches of -r1 before -r3 then some of the changes would have been applied by the previous patches. If you want to have split patches please modify the provided patch accordingly.
Comment 10 Toralf Förster gentoo-dev 2017-09-19 11:44:20 UTC
(In reply to Konstantin Münning from comment #9)
ough, EAPI=4 ebuild from that bug is needed too - I just putted the -r3 patch in /etc/portage/patches/... before :-/

Ok, I tested it here at the tinderbox. The modified ebuild from that bug report together with -r3 works.

So probably your next step is to ask your mentor or somebody of the devs with repository write permissions (in the irc channel gentoo-dev-help) to apply both the ebuild and the -r3 patch to the Gentoo repository.

Furthermore did you already asked upstream to incorporate those -r3 changes into their master branch ?
Comment 11 Jonas Stein gentoo-dev 2017-12-19 02:06:40 UTC
Proxy Maintainers can merge this.
I just stepped into all the open tickets about hp2xx and got confused a bit.
They have a long history... :(
Lets see if we get them all closed this year...

Ideally we would bump the ebuild to EAPI=6 and add the required patches at once too. 

https://devmanual.gentoo.org/ebuild-writing/eapi/

Greetings from Troisdorf, Jonas